/*
 * Arrebol Consultancy copyright.
 *
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.model.ws.parsed;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
@XmlRootElement(name = "loanDetail")
public class LoanDetailJaxb {

   private String paymentDate;
   private double paymentOfDay;
   private double toPay;
   private boolean payment;
   private String comment;
   private String paymentType;

   private String fullNameVendedor;
   private String fullNameCliente;
   private String numeroCuenta;
   private String fullNameCrobrador;
   private String folio;

   public LoanDetailJaxb() {
   }

   /**
    * Created for add transfer accoutn payments.
    *
    * @param paymentDate
    * @param paymentOfDay
    * @param toPay
    * @param comment
    * @param paymentType
    * @param fullNameVendedor
    * @param fullNameCliente
    * @param numeroCuenta
    * @param fullNameCrobrador
    */
   public LoanDetailJaxb(String paymentDate, double paymentOfDay, double toPay, String comment, String paymentType, String fullNameVendedor, String fullNameCliente, String numeroCuenta, String fullNameCrobrador, String folio) {
      this.paymentDate = paymentDate;
      this.paymentOfDay = paymentOfDay;
      this.toPay = toPay;
      this.comment = comment;
      this.paymentType = paymentType;
      this.fullNameVendedor = fullNameVendedor;
      this.fullNameCliente = fullNameCliente;
      this.numeroCuenta = numeroCuenta;
      this.fullNameCrobrador = fullNameCrobrador;
      this.folio = folio;
   }

   /**
    * Created for add transfer accoutn payments.
    *
    * @param paymentDate
    * @param paymentOfDay
    * @param toPay
    * @param comment
    * @param paymentType
    */
   public LoanDetailJaxb(String paymentDate, double paymentOfDay, double toPay, String comment, String paymentType) {
      this.paymentDate = paymentDate;
      this.paymentOfDay = paymentOfDay;
      this.toPay = toPay;
      this.comment = comment;
      this.paymentType = paymentType;
   }

   /**
    *
    * @param paymentDate
    * @param paymentOfDay
    * @param toPay
    * @param payment true eq payment, false eq fee.
    * @param comment
    */
   public LoanDetailJaxb(String paymentDate, double paymentOfDay, double toPay, boolean payment, String comment) {
      this.paymentDate = paymentDate;
      this.paymentOfDay = paymentOfDay;
      this.toPay = toPay;
      this.payment = payment;
      this.comment = comment;
   }

   @XmlElement(name = "paymentDate")
   public String getPaymentDate() {
      return paymentDate;
   }

   public void setPaymentDate(String paymentDate) {
      this.paymentDate = paymentDate;
   }

   @XmlElement(name = "paymentOfDay")
   public double getPaymentOfDay() {
      return paymentOfDay;
   }

   public void setPaymentOfDay(double paymentOfDay) {
      this.paymentOfDay = paymentOfDay;
   }

   @XmlElement(name = "toPay")
   public double getToPay() {
      return toPay;
   }

   public void setToPay(double toPay) {
      this.toPay = toPay;
   }

   @XmlElement(name = "payment")
   public boolean isPayment() {
      return payment;
   }

   public void setPayment(boolean payment) {
      this.payment = payment;
   }

   @XmlElement(name = "comment")
   public String getComment() {
      return comment;
   }

   public void setComment(String comment) {
      this.comment = comment;
   }

   @XmlElement(name = "paymentType")
   public String getPaymentType() {
      return paymentType;
   }

   public void setPaymentType(String paymentType) {
      this.paymentType = paymentType;
   }

   @XmlElement(name = "fullNameCliente")
   public String getFullNameCliente() {
      return fullNameCliente;
   }

   public void setFullNameCliente(String fullNameCliente) {
      this.fullNameCliente = fullNameCliente;
   }

   @XmlElement(name = "numeroCuenta")
   public String getNumeroCuenta() {
      return numeroCuenta;
   }

   public void setNumeroCuenta(String numeroCuenta) {
      this.numeroCuenta = numeroCuenta;
   }

   @XmlElement(name = "fullNameVendedor")
   public String getFullNameVendedor() {
      return fullNameVendedor;
   }

   public void setFullNameVendedor(String fullNameVendedor) {
      this.fullNameVendedor = fullNameVendedor;
   }

   @XmlElement(name = "fullNameCrobrador")
   public String getFullNameCrobrador() {
      return fullNameCrobrador;
   }

   public void setFullNameCrobrador(String fullNameCrobrador) {
      this.fullNameCrobrador = fullNameCrobrador;
   }

   @XmlElement(name = "folio")
   public String getFolio() {
      return folio;
   }

   public void setFolio(String folio) {
      this.folio = folio;
   }

   @Override
   public String toString() {
      return "LoanDetailJaxb{" + "paymentDate=" + paymentDate + ", paymentOfDay=" + paymentOfDay + ", toPay=" + toPay + ", payment=" + payment + '}';
   }

}
